%define gst_majorminor 0.10
%define gstreamer    gstreamer

%define gst_minver   0.10.36
%define gstpb_minver %{gst_minver}

Name: gstreamer-plugins-marvell-mmp3
Version: 0.10.2
Release: 1%{?dist}.xo4
Summary: vMeta acceleration plugin for GStreamer
Group: Applications/Multimedia
License: GPLv2+
URL: http://wiki.laptop.org/go/Vmeta
Source0: gst-plugins-marvell-mmp3-%{version}.tar.gz

Requires: %{gstreamer} >= %{gst_minver}
Requires: marvell-ipp-mmp3
BuildRequires: %{gstreamer}-devel >= %{gst_minver}
BuildRequires: %{gstreamer}-plugins-base-devel >= %{gstpb_minver}

BuildRequires: libvmeta-devel, marvell-ipp-mmp3-devel
BuildRequires: libXv-devel

%description
This is a a series of plugins that allow gstreamer to interface
with the Marvell vMeta engine which provides hardware accelerated
encoding and decoding of various codecs.

It also includes an optimized xvideo plugin that allows zero copies
between the decoder and the graphics driver.

%prep
%setup -q -n gst-plugins-marvell-mmp3-%{version}


%build
export CFLAGS="$RPM_OPT_FLAGS -I/usr/include/vmeta"
export LDFLAGS="-L/usr/lib/vmeta"
%configure \
    --disable-static --disable-amr --disable-wm --disable-h263enc \
    --disable-h264enc --disable-mpeg4enc
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -delete

%files
%{_libdir}/gstreamer-%{gst_majorminor}/*.so


%changelog
